[Unit]
Description=game2048 service with docker-compose
Requires=docker.service
After=docker.service

[Service]
Restart=always

WorkingDirectory={{ app_dir }}

# Remove old containers, network and volumes
ExecStartPre=//usr/bin/docker-compose -f docker-compose.yml down -v
ExecStartPre=-/bin/bash -c 'docker network rm game2048'
ExecStartPre=-/bin/bash -c 'docker ps -aqf "name=artifactory" | xargs docker rm'

# Compose up
ExecStart=/usr/bin/docker-compose -f docker-compose.yml up

# Compose down, remove containers
ExecStop=/usr/bin/docker-compose -f docker-compose.yml down

[Install]
WantedBy=multi-user.target